#####################################################################
#
# MaildropHost Initialization
#
# This software is governed by a license. See
# LICENSE.txt for the terms of this license.
#
#####################################################################
__version__='$Revision: 1.6 $'[11:-2]

from MaildropHost import MaildropHost, addMaildropHostForm, \
                         manage_addMaildropHost

def initialize( context ):
    try:
        context.registerClass( MaildropHost
                             , permission='Add MailHost objects'
                             , constructors=( addMaildropHostForm
                                            , manage_addMaildropHost
                                            )
                             , icon='www/maildrop.gif'
                            )

        context.registerHelp()
        context.registerHelpTitle('Maildrop Host')

    except:
        import traceback; traceback.print_exc()

